"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toGroupUows = exports.unBatchUow = exports.toBatchUow = void 0;

var _highland = _interopRequireDefault(require("highland"));

// used after highland batch step
const toBatchUow = batch => ({
  batch
}); // use with flatMap


exports.toBatchUow = toBatchUow;

const unBatchUow = uow => {
  const {
    batch,
    ...outerUowMinusBatch
  } = uow;
  return batch.map(innerUowFromBatch => ({ ...innerUowFromBatch,
    ...outerUowMinusBatch
  }));
}; // use with flatMap after highland group step


exports.unBatchUow = unBatchUow;

const toGroupUows =
/* istanbul ignore next */
groups => (0, _highland.default)(Object.keys(groups).map(key => ({
  batch: groups[key]
})));

exports.toGroupUows = toGroupUows;