"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultOptions = void 0;

var _eventbridge = require("./eventbridge");

var _print = require("./print");

const defaultOptions = {
  // eslint-disable-line import/prefer-default-export
  debug: (0, _print.debug)('handler'),
  busName: process.env.BUS_NAME,
  publish: _eventbridge.publishToEventBridge
};
exports.defaultOptions = defaultOptions;